scala.swing

# ListView

#### class ListView[A] extends Component

A component that displays a number of elements in a list. A list view does not support inline editing of items. If you need it, use a table view instead.

Named `ListView` to avoid a clash with the frequently used `scala.List`

Source
  ListView.scala
See also

  javax.swing.JList

Linear Supertypes
Component, UIElement, LazyPublisher, Publisher, Reactor, Proxy, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Hide All
2. Show all

1. ListView
2. Component
3. UIElement
4. LazyPublisher
5. Publisher
6. Reactor
7. Proxy
8. AnyRef
9. Any

Visibility

1. Public
2. All

### Instance Constructors

1. #### new ListView(items: Seq[A])

2. #### new ListView()

### Type Members

1. #### class ModelWrapper[A] extends AbstractListModel[A]

   Attributes
     protected

2. #### trait SuperMixin extends JComponent

   This trait is used to redirect certain calls from the peer to the wrapper and back.

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     Any

3. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types.

   Equivalent to `x.hashCode` except for boxed numeric types. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Test two objects for equality.

   Test two objects for equality.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     Any

6. #### final def asInstanceOf[T0]: T0

   Cast the receiver object to be of type `T0`.

   Cast the receiver object to be of type `T0`.

   Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

   returns

     the receiver object.

   Definition Classes
     Any
   Exceptions thrown
     ClassCastException

     if the receiver object is not an instance of the erasure of type `T0`.

7. #### def background: Color

   Definition Classes
     UIElement

8. #### def background_=(c: Color): Unit

   Definition Classes
     UIElement

9. #### def border: Border

   Definition Classes
     Component

10. #### def border_=(b: Border): Unit

    Definition Classes
      Component

11. #### def bounds: Rectangle

    Definition Classes
      UIElement

12. #### def clone(): AnyRef

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()
    Note

      not specified by SLS as a member of AnyRef

13. #### def cursor: Cursor

    Definition Classes
      UIElement

14. #### def cursor_=(c: Cursor): Unit

    Definition Classes
      UIElement

15. #### def deafTo(ps: Publisher*): Unit

    Installed reaction won't receive events from the given publisher anylonger.

    Installed reaction won't receive events from the given publisher anylonger.

    Definition Classes
      Reactor

16. #### def displayable: Boolean

    Definition Classes
      UIElement

17. #### def enabled: Boolean

    Definition Classes
      Component

18. #### def enabled_=(b: Boolean): Unit

    Definition Classes
      Component

19. #### def ensureIndexIsVisible(idx: Int): Unit

20. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

21. #### def equals(that: Any): Boolean

    The equality method for reference types.

    The equality method for reference types. See equals in Any.

    that

      the object to compare against this object for equality.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      Proxy → AnyRef → Any

22. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()
    Note

      not specified by SLS as a member of AnyRef

23. #### def fixedCellHeight: Int

24. #### def fixedCellHeight_=(x: Int): Unit

25. #### def fixedCellWidth: Int

26. #### def fixedCellWidth_=(x: Int): Unit

27. #### def focusable: Boolean

    Definition Classes
      Component

28. #### def focusable_=(b: Boolean): Unit

    Definition Classes
      Component

29. #### def font: Font

    Definition Classes
      UIElement

30. #### def font_=(f: Font): Unit

    Definition Classes
      UIElement

31. #### def foreground: Color

    Definition Classes
      UIElement

32. #### def foreground_=(c: Color): Unit

    Definition Classes
      UIElement

33. #### final def getClass(): java.lang.Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

34. #### def hasFocus: Boolean

    Definition Classes
      Component

35. #### def hashCode(): Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in Any.

    returns

      the hash code value for this object.

    Definition Classes
      Proxy → AnyRef → Any

36. #### def ignoreRepaint: Boolean

    Definition Classes
      UIElement

37. #### def ignoreRepaint_=(b: Boolean): Unit

    Definition Classes
      UIElement

38. #### var initP: JComponent

    Definition Classes
      Component

39. #### def inputVerifier: (Component) ⇒ Boolean

    Definition Classes
      Component

40. #### def inputVerifier_=(v: (Component) ⇒ Boolean): Unit

    Definition Classes
      Component

41. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

42. #### object keys extends Publisher

43. #### def listData: Seq[A]

44. #### def listData_=(items: Seq[A]): Unit

45. #### def listenTo(ps: Publisher*): Unit

    Listen to the given publisher as long as `deafTo` isn't called for them.

    Listen to the given publisher as long as `deafTo` isn't called for them.

    Definition Classes
      Reactor

46. #### val listeners: RefSet[Reaction] { val underlying: scala.collection.mutable.HashSet[scala.ref.Reference[scala.swing.Reactions.Reaction]] }

    Attributes
      protected
    Definition Classes
      Publisher

47. #### def locale: Locale

    Definition Classes
      UIElement

48. #### def location: Point

    Definition Classes
      UIElement

49. #### def locationOnScreen: Point

    Definition Classes
      UIElement

50. #### def maximumSize: Dimension

    Definition Classes
      UIElement

51. #### def maximumSize_=(x: Dimension): Unit

    Definition Classes
      UIElement

52. #### def minimumSize: Dimension

    Definition Classes
      UIElement

53. #### def minimumSize_=(x: Dimension): Unit

    Definition Classes
      UIElement

54. #### object mouse extends AnyRef

    Contains publishers for various mouse events.

55. #### def name: String

    Definition Classes
      Component

56. #### def name_=(s: String): Unit

    Definition Classes
      Component

57. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

58. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

59. #### final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

60. #### def onFirstSubscribe(): Unit

    Attributes
      protected
    Definition Classes
      Component → UIElement → LazyPublisher

61. #### def onLastUnsubscribe(): Unit

    Attributes
      protected
    Definition Classes
      UIElement → LazyPublisher

62. #### def opaque: Boolean

    Definition Classes
      Component

63. #### def opaque_=(b: Boolean): Unit

    Definition Classes
      Component

64. #### def paint(g: Graphics2D): Unit

    Definition Classes
      Component

65. #### def paintBorder(g: Graphics2D): Unit

    Attributes
      protected
    Definition Classes
      Component

66. #### def paintChildren(g: Graphics2D): Unit

    Attributes
      protected
    Definition Classes
      Component

67. #### def paintComponent(g: Graphics2D): Unit

    For custom painting, users should usually override this method.

    For custom painting, users should usually override this method.

    Attributes
      protected
    Definition Classes
      Component

68. #### lazy val peer: JList[A]

    Definition Classes
      ListView → Component → UIElement

69. #### def preferredSize: Dimension

    Definition Classes
      UIElement

70. #### def preferredSize_=(x: Dimension): Unit

    Definition Classes
      UIElement

71. #### def prototypeCellValue: A

72. #### def prototypeCellValue_=(a: A): Unit

73. #### def publish(e: Event): Unit

    Notify all registered reactions.

    Notify all registered reactions.

    Definition Classes
      Publisher

74. #### val reactions: Reactions

    All reactions of this reactor.

    All reactions of this reactor.

    Definition Classes
      Reactor

75. #### def renderer: Renderer[A]

76. #### def renderer_=(r: Renderer[A]): Unit

77. #### def repaint(rect: Rectangle): Unit

    Definition Classes
      UIElement

78. #### def repaint(): Unit

    Definition Classes
      UIElement

79. #### def requestFocus(): Unit

    Definition Classes
      Component

80. #### def requestFocusInWindow(): Boolean

    Definition Classes
      Component

81. #### def revalidate(): Unit

    Definition Classes
      Component

82. #### def selectIndices(ind: Int*): Unit

83. #### object selection extends Publisher

    The current item selection.

84. #### def selectionBackground: Color

85. #### def selectionBackground_=(c: Color): Unit

86. #### def selectionForeground: Color

87. #### def selectionForeground_=(c: Color): Unit

88. #### def self: Component

    Definition Classes
      UIElement → Proxy

89. #### def showing: Boolean

    Definition Classes
      UIElement

90. #### def size: Dimension

    Definition Classes
      UIElement

91. #### def subscribe(listener: Reaction): Unit

    Definition Classes
      LazyPublisher → Publisher

92. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

93. #### def toString(): String

    Creates a String representation of this object.

    Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

    returns

      a String representation of the object.

    Definition Classes
      Component → Proxy → AnyRef → Any

94. #### def toolkit: Toolkit

    Definition Classes
      UIElement

95. #### def tooltip: String

    Definition Classes
      Component

96. #### def tooltip_=(t: String): Unit

    Definition Classes
      Component

97. #### def unsubscribe(listener: Reaction): Unit

    Definition Classes
      LazyPublisher → Publisher

98. #### def visible: Boolean

    Definition Classes
      UIElement

99. #### def visibleRowCount: Int

100. #### def visibleRowCount_=(n: Int): Unit

101. #### def visible_=(b: Boolean): Unit

     Definition Classes
       UIElement

102. #### final def wait(): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws()

103. #### final def wait(arg0: Long, arg1: Int): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws()

104. #### final def wait(arg0: Long): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws()

105. #### def xLayoutAlignment: Double

     Used by certain layout managers, e.

     Used by certain layout managers, e.g., BoxLayout or OverlayLayout to align components relative to each other.

     Definition Classes
       Component

106. #### def xLayoutAlignment_=(x: Double): Unit

     Definition Classes
       Component

107. #### def yLayoutAlignment: Double

     Definition Classes
       Component

108. #### def yLayoutAlignment_=(y: Double): Unit

     Definition Classes
       Component

### Deprecated Value Members

1. #### lazy val Mouse: ListView.this.mouse.type

   Definition Classes
     Component
   Annotations
     @deprecated
   Deprecated

     (Since version 2.8.0) Use mouse instead

2. #### def size_=(dim: Dimension): Unit

   Definition Classes
     UIElement
   Annotations
     @deprecated
   Deprecated

     (Since version 2.8.0) "Explicit size assignment for UIElements is not supported anymore. ".+("Use a layout manager or subclass Window.")

### Inherited from Component

### Inherited from UIElement

### Inherited from LazyPublisher

### Inherited from Publisher

### Inherited from Reactor

### Inherited from Proxy

### Inherited from AnyRef

### Inherited from Any